# eric6.Plugins.VcsPlugins.vcsMercurial.HgTagBranchListDialog

Module implementing a dialog to show a list of tags or branches.

### Global Attributes

None

### Classes

HgTagBranchListDialog | Class implementing a dialog to show a list of tags or branches.

### Functions

None

## HgTagBranchListDialog

Class implementing a dialog to show a list of tags or branches.

### Derived from

QDialog, Ui_HgTagBranchListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgTagBranchListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tag item in the tag list.
__procFinished | Private slot connected to the finished signal.
__processOutputLine | Private method to process the lines of output.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to start the tags command.

### Static Methods

None

#### HgTagBranchListDialog (Constructor)

HgTagBranchListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgTagBranchListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgTagBranchListDialog.__generateItem

__generateItem(revision, changeset, status, name)

Private method to generate a tag item in the tag list.

revision
  revision of the tag/branch (string)
changeset
  changeset of the tag/branch (string)
status
  of the tag/branch (string)
name
  name of the tag/branch (string)

#### HgTagBranchListDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgTagBranchListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgTagBranchListDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### HgTagBranchListDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### HgTagBranchListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgTagBranchListDialog.__resort

__resort()

Private method to resort the tree.

#### HgTagBranchListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgTagBranchListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgTagBranchListDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### HgTagBranchListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgTagBranchListDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### HgTagBranchListDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### HgTagBranchListDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### HgTagBranchListDialog.start

start(path, tags, tagsList, allTagsList)

Public slot to start the tags command.

path
  name of directory to be listed (string)
tags
  flag indicating a list of tags is requested (False = branches, True = tags)
tagsList
  reference to string list receiving the tags (list of strings)
allTagsList
  reference to string list all tags (list of strings)

Up